[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomRadioGroup.AutoFill

Indicates if radio buttons are resized to fill the available space in the control.

## Declaration

Source position: extctrls.pp line 772

`public property TCustomRadioGroup.AutoFill : Boolean read FAutoFill write SetAutoFill;`

## Description

AutoFill is a Boolean property which indicates whether child controls (radio buttons) are resized to fill the available space in the control. When AutoFill is set to True, child controls are resized by setting the EnlargeHorizontal and EnlargeVertical properties in ChildSizing to the value crsHomogenousChildResize. When AutoFill is set to False, the properties in ChildSizing are set to the value crsAnchorAligning.

Remark: | DisableAlign is called on entry to the method, and EnableAlign is called prior to exiting from the method.

AutoFill is set to True in the Create constructor.